Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
LoopStmtNode Struct Reference

`#include <ast.h>`

Inheritance diagram for LoopStmtNode:

## Public Member Functions
U32 | precompileStmt (U32 loopCount)
U32 | compileStmt (U32 *codeStream, U32 ip, U32 continuePoint, U32 breakPoint)
Public Member Functions inherited from StmtNode
| StmtNode ()
void | append (StmtNode *next)
StmtNode * | getNext ()
void | addBreakCount ()
void | addBreakLine (U32 ip)
virtual void | setPackage (StringTableEntry packageName)

## Static Public Member Functions
static LoopStmtNode * | alloc (S32 lineNumber, ExprNode *testExpr, ExprNode *initExpr, ExprNode *endLoopExpr, StmtNode *loopBlock, bool isDoLoop)

## Public Attributes
ExprNode * | testExpr
ExprNode * | initExpr
ExprNode * | endLoopExpr
StmtNode * | loopBlock
bool | isDoLoop
U32 | breakOffset
U32 | continueOffset
U32 | loopBlockStartOffset
bool | integer
Public Attributes inherited from StmtNode
StmtNode * | next
| Next entry in parse tree. More...
StringTableEntry | dbgFileName
| Name of file this node is associated with. More...
S32 | dbgLineNumber

## Member Function Documentation

LoopStmtNode * alloc | ( | S32 | lineNumber,
|  | ExprNode * | testExpr,
|  | ExprNode * | initExpr,
|  | ExprNode * | endLoopExpr,
|  | StmtNode * | loopBlock,
|  | bool | isDoLoop
| ) |  |
| static

U32 compileStmt | ( | U32 * | codeStream,
|  | U32 | ip,
|  | U32 | continuePoint,
|  | U32 | breakPoint
| ) |  |
| virtual

Implements StmtNode.

U32 precompileStmt | ( | U32 | loopCount | ) |
| virtual

Implements StmtNode.

## Member Data Documentation

U32 breakOffset

U32 continueOffset

ExprNode* endLoopExpr

ExprNode* initExpr

bool integer

bool isDoLoop

StmtNode* loopBlock

U32 loopBlockStartOffset

ExprNode* testExpr

The documentation for this struct was generated from the following files:

- console/ast.h
- console/astAlloc.cc
- console/astNodes.cc